#
# spec file for package python-uncertainties
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-uncertainties
Version:        3.0.1
Release:        lp151.2.2
Summary:        Uncertainties on the Quantities Involved (aka "Error Propagation")
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            http://pythonhosted.org/uncertainties/
Source:         https://files.pythonhosted.org/packages/source/u/uncertainties/uncertainties-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%if 0%{?suse_version}
Recommends:     python-numpy
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%python_subpackages

%description
``uncertainties`` allows **calculations** such as (2 +/- 0.1)*2 = 4 +/- 
0.2 to be **performed transparently**.  Much more complex mathematical 
expressions involving numbers with uncertainties can also be evaluated 
directly.

The ``uncertainties`` package **takes the pain and complexity out** 
of uncertainty calculations.

%prep
%setup -q -n uncertainties-%{version}

%build
%python_build

%install
%python_install

%files %{python_files}
%defattr(-,root,root,-)
%doc LICENSE.txt README.rst
%{python_sitelib}/uncertainties/
%{python_sitelib}/uncertainties-%{version}-py*.egg-info

%changelog
* Thu Jul  6 2017 tbechtold@suse.com
- update to 3.0.1:
  See more details at
  https://pypi.python.org/pypi/uncertainties#version-history
- convert to singlespec
* Wed Apr 20 2016 tbechtold@suse.com
- Use tarball from pypi
* Thu Jul 16 2015 seife+obs@b1-systems.com
- fix build on non-SUSE distros whose rpm does not know Recommends:
* Thu May  8 2014 toddrme2178@gmail.com
- Updated to release 2.4.6
  See more details at
  https://pypi.python.org/pypi/uncertainties#version-history
* Sat Jan 18 2014 toms@opensuse.org
- Updated to release 2.4.4
  See more details at
  https://pypi.python.org/pypi/uncertainties#version-history
- Refreshed spec file
* Thu Mar 11 2010 toms@suse.de
- Initial package release 1.4.5
